Skip site navigation (1) Skip section navigation (2)

Re: Buildproblems on OSX 10.3 due to libxml2

From: "Dave Page" <dpage(at)vale-housing(dot)co(dot)uk>
To: <openmacnews(at)gmail(dot)com>,<pgadmin-hackers(at)postgresql(dot)org>
Cc: "Miha Radej" <miha(dot)radej(at)siix(dot)com>,"Florian G(dot) Pflug" <fgp(at)phlo(dot)org>
Subject: Re: Buildproblems on OSX 10.3 due to libxml2
Date: 2006-02-27 09:59:36
Message-ID: E7F85A1B5FF8D44C8A1AF6885BC9A0E40103E3FD@ratbert.vale-housing.co.uk (view raw or flat)
Thread:
Lists: pgadmin-hackers
 

> -----Original Message-----
> From: OpenMacNews [mailto:openmacnews(at)gmail(dot)com] 
> Sent: 27 February 2006 03:57
> To: pgadmin-hackers(at)postgresql(dot)org
> Cc: Miha Radej; Florian G. Pflug; Dave Page
> Subject: Re: [pgadmin-hackers] Buildproblems on OSX 10.3 due 
> to libxml2
> 
> =========================================================
> ${EDITOR} /usr/ports/pgadmin3/pgadmin3dyn_wxdyn_262/configure.ac.in
> 
> 	# Checks for libraries.
> - ---	AC_PROG_RANLIB
> +++	AC_PROG_LIBTOOL
> =========================================================

Hmm, actually AC_PROG_RANLIB can go completely - I added that when I was
playing with the build system recently but then changed tactic, but
obviously left that there. Similarly, I doubt you need AC_PROG_LIBTOOL
in reality.

> a first change i note is that i now (iirc, again?) *must* 
> explicitly add:
> 
> 	--disable-static \
> 
> to the above config.  without it, configure dies at:
> 
> 	  Warning: No config found to match:
> /usr/local/wxwidgets_262_dyn/bin/wx-config --static=yes --libs base
> - --unicode=yes --debug=no --version=2.6
> 			   in /usr/local/wxwidgets_262_dyn/lib/wx/config
> 	  If you require this configuration, please install the desired
> 	  library build.  If this is part of an automated configuration
> 	  test and no other errors occur, you may safely ignore it.
> 	  You may use wx-config --list to see all configs available in
> 	  the default prefix.
> 	
> 	checking wxWidgets in /usr/local/wxwidgets_262_dyn... failed
> 	configure: error: Your wxWidgets installation cannot 
> support pgAdmin in
> the selected configuration. This may be because it was configured
> without the --enable-unicode option, or the combination of
> dynamic/static linking and debug/non-debug libraries selected did not
> match any installed wxWidgets libraries.

Yes. Current SVN trunk is far more clever about configuring the
debug/release and dynamic/static options than previous versions, and
will complain if you do not have an exactly matching wx build.

I use the script below to build wx for all configs - modify for Mac as
appropriate.

> 
> that xmlwriter.h is in, at least, the 10.3.9 sdk; as for 
> 'stock' panther
> - -- i can't say :-|

Sounds like it isn't given other reports (and that Panther - well, xcode
1.5 - is therefore broken).
> 
> dunno if that helps anyone ...

Yes, thanks :-)

Regards, Dave.


-------------- build-wx.sh --------------

#!/bin/sh

if [ $# -ne 1 ]
then
  echo "usage: $0 <wxGTK Source directory>"
  exit 1
fi

cd $1

cd contrib

make clean
cd ..
make clean
./configure --with-gtk --enable-gtk2 --enable-unicode
--enable-mimetype=no --enable-shared --enable-debug
make all
make install
cd contrib
make all
make install


make clean
cd ..
make clean
./configure --with-gtk --enable-gtk2 --enable-unicode
--enable-mimetype=no --enable-shared --disable-debug
make all
make install
cd contrib
make all
make install


make clean
cd ..
make clean
./configure --with-gtk --enable-gtk2 --enable-unicode
--enable-mimetype=no --disable-shared --enable-debug
make all
make install
cd contrib
make all
make install


make clean
cd ..
make clean
./configure --with-gtk --enable-gtk2 --enable-unicode
--enable-mimetype=no --disable-shared --disable-debug
make all
make install
cd contrib
make all
make install


Responses

pgadmin-hackers by date

Next:From: Dave PageDate: 2006-02-27 11:21:25
Subject: Re: Query results in grid, new patch
Previous:From: svnDate: 2006-02-27 09:53:12
Subject: SVN Commit by dpage: r5034 - trunk/pgadmin3

Privacy Policy | About PostgreSQL
Copyright © 1996-2014 The PostgreSQL Global Development Group